趁著春假,幫我的姨丈的診所網站升級一下系統(Drupal)
升級的過程就照著UPGRADE.txt一步步做就行了,沒什麼困難的~
麻煩的是localizer沒辦法直接抓到i18n的結構,後來只好手動修正,還好我表弟夠懶,沒翻譯幾張網頁。
大體上半天時間就結束了。
目前localizer還有一些小問題,不過還不會構成使用者的困擾,我現在是底下這兩個版本混著用
  • 5.x-1.7           2007-Jan-29
  • 5.x-1.x-dev    2007-Apr-05
dev版多了一個可以翻譯系統變數的功能,但是裝上dev版我要 create translation 時,會出現這個錯誤:

Fatal error
: Cannot use object of type stdClass as array in D:\Website\drupal\modules\localizer\localizer.module on line 1215

所以我把他用 5.x-17 蓋過去,這樣才能正常進行翻譯工作。

2007/04/12 追記:
今天有個新版出來,不過目前還是問題多多,我等過幾天再看看~
創作者介紹

失落的技術

HACGIS 發表在 痞客邦 PIXNET 留言(0) 人氣()